Total : 0.00 €

Before contacting us, please make sure to check our F.A.Q

Please, login or register to our website in order to be able to post a presale question in the forum.

× WooPrice Calculator PRO

Incompatibility due to EOS library

More
3 months 3 weeks ago #1507 by Indrit
Indrit replied the topic: Incompatibility due to EOS library
Hi,
we received the file, thank you for your assistance.

Kind Regards,
Indrit
AT348

Please Log in or Create an account to join the conversation.

More
3 months 3 weeks ago #1506 by Paul Leune
Paul Leune replied the topic: Incompatibility due to EOS library
Hi Indrit,

Sorry, it was in the main folder, I moved it to the Ospite folder now.
Filename: woo-price-calculator - fix keraweb - eos library.zip

Thanks Jory

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #1473 by Paul Leune
Paul Leune replied the topic: Incompatibility due to EOS library
Hi Indrit,

File uploaded!
Please refer to this GitHub account for changelog credits: github.com/JoryHogeveen

Thanks

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #1472 by Indrit
Indrit replied the topic: Incompatibility due to EOS library
Hi,
i responded to you via email.
Thank you for your time.

Kind regards,
Indrit
AT348

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #1471 by Paul Leune
Paul Leune replied the topic: Incompatibility due to EOS library
Hi Indrit,

Yes I solved the issue. If you want I can zip the plugin changes and email it to you. Or if you have a online repository I can make a pull request.

Thanks

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #1466 by Indrit
Indrit replied the topic: Incompatibility due to EOS library
Hi,
thank you for your reply about the incompatibility with the other plugin, but did you currently resolve your situation yourself or may we help you? If you already did can you specify as to what you changed to solve the interference with the FormCraft so we can take it under consideration for further updates?
Thank you

Kind Regards,
Indrit
AT348

Please Log in or Create an account to join the conversation.

More
4 months 2 weeks ago #1457 by Paul Leune
Paul Leune created the topic: Incompatibility due to EOS library
We've found an incompatibility with FormCraft and AWS Price Calculator.

Two issues:
- Both plugins use the EOS calculation library but do not validate whether the class already exists or not.
- Both plugins use a different version (FormCraft uses v3 and AWS uses v2).

I've send the same info to the developer of FormCraft.
Our current solution was to modify the AWS plugin to check for the class first (and load it only when needed) + add a check for v3 of the library (static methods).

Thanks

Please Log in or Create an account to join the conversation.

Moderators: david
Time to create page: 0.229 seconds

Cart

Total : 0.00 €